.explanation-container {
  padding-bottom: 32px;
  display: flex;
  flex-direction: column;
  gap: 64px;
}

.single-product h4 {
  margin: 0 !important;
  font-size: 16px;
}

.single-product {
  display: flex;
  flex-direction: column;
  gap: 32px;
  border: 1px solid #d4d4d4;
  padding: 24px;

  border-radius: 4px;
}

.single-header {
  display: flex;
  align-self: center;
  justify-content: space-between;
  gap: 48px;
  width: 100%;
}

.single-header img {
  width: 100%;
  height: 175.5px;
  flex: 1;
  border-radius: 4px;
}

.single-header-text {
  display: flex;
  align-items: center;
  flex: 4;
}

.single-video-group,
.single-image-text-group {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
.single-video-player {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;

  border-radius: 4px;
}

.single-video-player iframe {
  border-radius: 4px;
}

.single-images-group {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 24px;
}

.single-step-card {
  display: flex;
  flex-direction: column;
  gap: 12px;
  cursor: pointer;
  border-radius: 4px;
  transition: 0.3s ease;
}

.single-step-card img {
  border-radius: 4px;
}

.single-each-step {
  margin-bottom: 0px !important;
  display: flex;
  gap: 12px;
}
.single-each-step p {
  font-size: 12px !important;
  margin: 0 !important;
}

.pagination-videopage {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 12px;
}

.pagination-videopage * {
  padding: 12px;
  font-weight: bold;
  font-size: 16px;
}

.single-active {
  border-color: #0a0a0a;
  color: #f9fafb;
  background-color: #0a0a0a;
}

.single-step-card:hover {
  box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.2);
  transform: scale(1.01);
}

.explanation-container .single-popup * {
  cursor: default;
}
.explanation-container .single-popup .close-x {
  cursor: pointer;
}
.popup-text {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 32px;
  padding: 4px;
}

.single-step-card.single-popup {
  gap: 12px;
  cursor: default;
}

.close-x {
  padding: 2px 8px 0px 8px;
  border: 1px solid #d4d4d4;
  display: none;
}

.close-x:hover {
  background-color: #e0e0e0;
}

.explanation-container .single-popup .close-x {
  display: block;
}
.explanation-container .single-popup .single-each-step p {
  font-size: 18px !important;
  margin: 0 !important;
}

.no-scroll-popup {
  overflow: hidden;
}

.overlay-popup {
  background-color: #0a0a0a;
  opacity: 0.8;
  position: fixed;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
  display: none;
  z-index: 997;
}

.overlay-popup.activated {
  display: block;
  cursor: pointer;
}

.pagination-span-d {
  pointer-events: none;
  cursor: default;
  opacity: 0.6;
}

.pagination-videopage * {
  border: 1px solid #d4d4d4;
  padding: 6px 14px;
  border-radius: 4px;
}

.pagination-videopage *:not(.single-active):hover {
  background-color: #e0e0e0;
}

.explanation-container .single-popup {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1000;
  background: #f9fafb;
  border: 1px solid #d4d4d4;
  padding: 12px;
}

.tutorial-category-tabs {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(75px, 1fr));
  gap: 8px;
  padding: 12px 0 24px 0;
}

.tutorial-category-tabs a {
  text-align: center;
  padding: 8px;
  border: 1px solid #d4d4d4;
  font-size: 12px;
  cursor: pointer;
  border-radius: 4px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
}

.tutorial-category-tabs a.is-active {
  color: #f9fafb;
  border-color: #0a0a0a;
  background-color: #0a0a0a;
  pointer-events: none;
}

.tutorial-category-tabs a:hover {
  box-shadow: 1px 1px 4px rgba(0, 0, 0, 0.2);
  transform: scale(1.02);

  border-color: #0a0a0a;
}

.category-desc-wrapper {
  display: flex;
  flex-direction: column;
  gap: 16px;
  margin-bottom: 24px;
}

.category-desc-wrapper * {
  flex: 1;
  max-width: max-content;
  margin-bottom: 12px;
}

.cat-desc-wrapper {
  display: flex;
  flex-direction: column;
  gap: 16px;
  margin-bottom: 16px;
}

.cat-desc-wrapper p {
  font-size: 14px !important;
  margin: 0 !important;
}

.category-desc-wrapper h4 {
  margin: 0 !important;
}


/* Responsive styles for mobile devices */

@media (max-width: 600px) {
  .explanation-container {
    gap: 40px;
  }

  .single-product {
    gap: 24px;
    padding: 16px;
  }

  .single-header {
    gap: 24px;
  }
  .pagination-videopage {
    gap: 8px;
  }

  .pagination-videopage * {
    font-size: 12px;
  }

  .single-images-group {
    grid-template-columns: repeat(2, 1fr);
    gap: 12px;
  }

  .popup-text {
    gap: 20px;
  }

  .single-each-step {
    gap: 4px;
  }

  .explanation-container .single-popup {
    width: 75%;
    padding: 12px;
  }
  .explanation-container .single-popup .single-each-step p {
    margin: 0 !important;
  }
  .single-each-step p {
    font-size: 10px !important;
  }

  .close-x {
    font-size: 12px !important;
  }

  .single-product h4 {
    margin: 0 !important;
    font-size: 14px;
  }

  .tutorial-category-tabs a {
    font-size: 11px;
  }

  .cat-desc-wrapper p {
    font-size: 12px !important;
  }
  .single-header img {
    height: 120px;
  }
}
